# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
import Config

config :ketbin,
  ecto_repos: [Ketbin.Repo]

# Configures the endpoint
config :ketbin, KetbinWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "9uGXQJhm7f2+kO7HKKWUmgBpaRK6oMt795GQKFNlnxdhUjG0Xpy/XddOb03H1aH2",
  render_errors: [view: KetbinWeb.ErrorView, accepts: ~w(html json), layout: false],
  pubsub_server: Ketbin.PubSub,
  live_view: [signing_salt: "76BWv42A"]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
